Bug 1573957 - [DOCS] Elasticsearch node count size cannot be scaled down (resized) using the logging playbook
Summary: [DOCS] Elasticsearch node count size cannot be scaled down (resized) using th...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Brandi
QA Contact: Anping Li
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 15:02 UTC by Nicolas Nosenzo
Modified: 2018-06-04 16:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-04 16:19:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nicolas Nosenzo 2018-05-02 15:02:34 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.5/install_config/aggregate_logging.html#aggregated-elasticsearch

https://docs.openshift.com/container-platform/3.6/install_config/aggregate_logging.html#aggregated-elasticsearch

https://docs.openshift.com/container-platform/3.7/install_config/aggregate_logging.html#aggregated-elasticsearch

https://docs.openshift.com/container-platform/3.9/install_config/aggregate_logging.html#aggregated-elasticsearch


Section Number and Name: 

Changing the Scale of Elasticsearch

Describe the issue: 

Currently, documentation states the following:

"""
The simplest way to change the scale of Elasticsearch is to modify the inventory host file a re-run the logging playbook as desribed previously. Assuming you have supplied persistent storage for the deployment, this should not be disruptive.
"""
Although, this is only possible when openshift_logging_es_cluster_size is bigger than the current ES cluster size. When openshift_logging_es_cluster_size is smaller, then openshift-logging playboo will fail. 
https://github.com/openshift/openshift-ansible/blob/master/roles/openshift_logging_elasticsearch/tasks/main.yaml#L10-L12

Suggestions for improvement: 

Add a note stating the following:

"""
Resize an Elasticsearch cluster using the logging playbook is only possible when the new openshift_logging_es_cluster_size value is higher than the current number of ES nodes (scale up) in the cluster.
"""

Additional information:

Comment 2 Brandi 2018-05-21 16:14:41 UTC
Hi Anping, 

I opened the following PR with the note and minor text edits to the previous paragraph. 

https://github.com/openshift/openshift-docs/pull/9456

PTAL, thanks!

Comment 3 Anping Li 2018-05-22 01:55:12 UTC
@Brandi, LGTM

Comment 4 openshift-github-bot 2018-05-31 21:30:09 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/d71367cd6761b17900041e40c017342ae1699aa4
Bug 1573957 Added note clarifying ES sizing

https://github.com/openshift/openshift-docs/commit/67fbdbbd52ca6cb7d546062e42cf123ee6e020d9
Merge pull request #9456 from bmcelvee/BZ1573957

Bug 1573957 Added note clarifying ES sizing


Note You need to log in before you can comment on or make changes to this bug.